#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);cerr.tie(0);
    int n,x;
    double y,maxn=0;
    double zbir=0,obic;
    vector<pair<double,int>> vek;
    cin>>n;

    for (int i=0;i<n;i++)
    {
        cin>>x>>y;
        vek.push_back(make_pair(y,x));
        zbir+=x;
    }
    sort(vek.begin(),vek.end());
    for(int i=0;i<n;i++)
    {
        obic=zbir*vek[i].first/100;
        if(maxn<obic)
            maxn=obic;
        zbir-=vek[i].second;
    }
    cout.precision(14);
    cout << maxn << endl;
    return 0;
}